/************************************************************************/
/* @\F pPbg_TOPW[                                 */
/*                                                                      */
/* TvF f[^oX:32bitpPbg֕ϊ܂                        */
/*                                                                      */
/*                                                                  */
/*                                                                      */
/*                                                                      */
/* ύXF                                                           */
/*  +------------------ ԍ (000 ` 999)                           */
/*  |    +------------- VKAύXAǉA폜̕                    */
/*  v    v                                                              */
/*  No     N                                               */
/* ----+------+----------+--------------------------------------------- */
/*  000 VK   13/04/03                                                 */
/*                                                                      */
/************************************************************************/

module port_top(
	busclk,
//	trclk,
	reset,
	xtcs,
	ta,
	td,
	xtwr,
	xtbe,
	clk,
	xsync,
	d
	);


/***************************************************************************/
/* DECLARE THE PORT DIRECTION                                              */
/***************************************************************************/
 input		busclk;		//oXNbN
// input	trclk;		//pPbgApPbgʐM̊NbN
 input		reset;		//Zbg
 input		xtcs;		//`bvZNg
 input	[4:2]	ta;		//AhX
 input	[31:0]	td;		//f[^
 input		xtwr;		//CgXg[u
 input	[3:0]	xtbe;
 output		clk;		//pPbgʐMNbN
 output		xsync;		//pPbgʐMM
 output	[3:0]	d;		//pPbgʐMf[^

/***************************************************************************/
/* DECLARE THE NODE(WIRE/REG)                                              */
/***************************************************************************/
 wire	[35:0]	datain;
 wire		wr;
 wire		empty;
 wire		full;
 wire		fifo_rst;
 wire		full_det;
 wire	[35:0]	dataout;
 wire		rd;

/***************************************************************************/
/*                                                                         */
/***************************************************************************/

sync sync(
		.busclk(busclk),
		.reset(reset),
		.xtwr(xtwr),
		.xtbe(xtbe),
		.xtcs(xtcs),
		.ta(ta),
		.td(td),
		.datain(datain),
		.wr(wr),
		.empty(empty),
		.full(full),
		.fifo_rst(fifo_rst),
		.full_det(full_det)
		);

fifo1k_36 fifo1k_36(
		.aclr(fifo_rst),
		.data(datain),
//		.rdclk(trclk),
		.rdclk(busclk),
		.rdreq(rd),
		.wrclk(busclk),
		.wrreq(wr),
		.q(dataout),
		.rdempty(empty),
		.wrfull(full)
		);

packet_gen packet_gen(
//		.trclk(trclk),
		.trclk(busclk),
		.reset(reset),
		.dataout(dataout),
		.empty(empty),
		.full_det(full_det),
		.rd(rd),
		.fifo_rst(fifo_rst),
		.clk(clk),
		.xsync(xsync),
		.d(d)
		);

endmodule